'use strict';var wellKnownSymbol=require('./well-known-symbol-f1447879.js'),arrayMethodIsStrict$1=require('./array-method-is-strict-eaf6e6bc.js');var $ = wellKnownSymbol._;
var IndexedObject = wellKnownSymbol.i;
var toIndexedObject = wellKnownSymbol.f;
var arrayMethodIsStrict = arrayMethodIsStrict$1.a;

var nativeJoin = [].join;

var ES3_STRINGS = IndexedObject != Object;
var STRICT_METHOD = arrayMethodIsStrict('join', ',');

// `Array.prototype.join` method
// https://tc39.es/ecma262/#sec-array.prototype.join
$({ target: 'Array', proto: true, forced: ES3_STRINGS || !STRICT_METHOD }, {
  join: function join(separator) {
    return nativeJoin.call(toIndexedObject(this), separator === undefined ? ',' : separator);
  }
});